package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 月汇总信息（天-工时）
 * @author: nh
 * @create: 2021-01-19 17:22
 **/
@Data
@ApiModel(value = "StatisticsTableDto", description = "月汇总信息（天-工时）")
public class StatisticsTableDto implements Serializable {

    private static final long serialVersionUID = -7581698349760684467L;

    /**
     * 用户主键
     */
    @ApiModelProperty(name = "userId", value = "用户主键")
    private Integer userId;

    /**
     * 部门名称
     */
    @ApiModelProperty(name = "deptName", value = "部门名称")
    private String deptName;

    /**
     * 用户姓名
     */
    @ApiModelProperty(name = "userName", value = "用户姓名")
    private String userName;

    /**
     * 一天工时类型和工时的集合
     */
    @ApiModelProperty(name = "dayWorkTimeAndTypeList", value = "一天填报的工时类型和工时的集合")
    List<DayWorkTimeAndType> dayWorkTimeAndTypeList;

}
